Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2008 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.commerce.ebusiness.price.engine
Class Selector

    java.lang.Object
      com.bea.commerce.ebusiness.price.engine.Selector

Deprecated See BEA Commerce product offering

    @Deprecated
    public class Selector

extends Object

Field Summary
`static String` | `cName` Deprecated See BEA Commerce product offering
`static int` | `INIT_SPEC_LIST_SIZE` Deprecated See BEA Commerce product offering

Constructor Summary
`Selector(ItemPool pool)` Deprecated See BEA Commerce product offering

Method Summary
`SelectionResults` | `process(QualificationDiscountDef disc)` Deprecated See BEA Commerce product offering
`void` | `set(ItemPool pool)` Deprecated See BEA Commerce product offering

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### cName

    public static final String cName

  Deprecated See BEA Commerce product offering
  See Also
    Constants Summary

### INIT_SPEC_LIST_SIZE

    public static final int INIT_SPEC_LIST_SIZE

  Deprecated See BEA Commerce product offering
  See Also
    Constants Summary

Constructor Detail

### Selector

    public Selector(ItemPool pool)

  Deprecated See BEA Commerce product offering

Method Detail

### set

    public void set(ItemPool pool)

  Deprecated See BEA Commerce product offering

### process

    public SelectionResults process(QualificationDiscountDef disc)

  Deprecated See BEA Commerce product offering

  Return results of selection process or null if the rule criteria were not met.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 BEA Systems, Inc. All Rights Reserved